/*MEDIA QUERIES:MIN====================*/
@media (min-width: 576px) {
    .visible-mobile-sm {
        display: none !important;
    }
    .visible-mobile-sm:first-child + *:not(:first-child) {
        margin-top: 0 !important;
    }
}

@media (min-width: 768px) {
    .visible-mobile {
        display: none !important;
    }
    .visible-mobile:first-child + *:not(:first-child) {
        margin-top: 0 !important;
    }
}

@media (min-width: 992px) {
    .visible-device-sm {
        display: none !important;
    }
    .visible-device-sm:first-child + *:not(:first-child) {
        margin-top: 0 !important;
    }

    /*GENERAL*/
    /* .container.xl {
        max-width: calc(1368px + var(--spacing-container)*2);
    } */
    .container.lg {
        max-width: calc(1136px + var(--spacing-container) * 2);
        max-width: calc(78.8888888889% + var(--spacing-container) * 2);
    }
    .container.md {
        max-width: calc(1020px + var(--spacing-container) * 2);
    }
    .container.sm {
        max-width: calc(670px + var(--spacing-container) * 2);
    }
    .container.xs {
        max-width: calc(440px + var(--spacing-container) * 2);
    }

    .f-left {
        margin-left: 0 !important;
        margin-right: auto !important;
    }
    .f-right {
        margin-left: auto !important;
        margin-right: 0 !important;
    }
    .f-center {
        margin-left: auto !important;
        margin-right: auto !important;
    }

    /*POST*/
    .entry-content
        .wp-block-columns
        > .wp-block-column
        > .wp-block-heading:only-child {
        position: -webkit-sticky;
        position: sticky;
        top: calc(var(--sticky-top) + var(--spacing-md));
        transition: top var(--duration) var(--timing-function);
    }

    /*FOOTER*/
    .footer-nav {
        display: grid;
        grid-template-columns: 29.5321637427% 1fr 29.5321637427%;
        grid-gap: var(--spacing-lg) var(--spacing-md);
    }
    .footer-nav > .footer-addon {
        grid-column: 1;
    }
    .footer-nav > .footer-directory {
        grid-column: 2;
    }
    .footer-nav > .footer-contact {
        grid-column: 3;
    }
    .footer-nav > *:is(.footer-addon, .footer-contact) {
        width: 100%;
        max-width: 324px;
        margin-right: auto;
    }
    .footer-nav *:is(.brand) + *:not(:first-child) {
        margin-top: var(--spacing-lg);
    }
    .footer-nav
        *:is(.newsletter, .footer-addon, .footer-contact)
        > *:not(:first-child) {
        margin-top: var(--spacing-md);
    }
    .footer-nav *:is(.newsletter) > .entry-form:not(:first-child) {
        margin-top: var(--spacing-xs);
    }

    .footer-directory {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        grid-gap: var(--spacing-md);
    }
    .footer-directory .directory,
    .footer-directory .directory > li {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        grid-gap: var(--spacing-md) var(--spacing-sm);
    }
    .footer-directory .directory > li > ul {
        margin-bottom: var(--spacing-sm-minus);
        display: block !important;
        height: auto !important;
        max-height: none !important;
        opacity: 1 !important;
        visibility: visible !important;
    }
    .footer-directory .directory > li > ul > li {
        margin-bottom: var(--spacing-sm);
    }
    .footer-directory .directory a[href="javascript:;"] {
        cursor: default;
    }

    .footer-legal {
        display: grid;
        grid-template-columns: 1fr auto 1fr;
        grid-gap: var(--spacing-sm) var(--spacing-container);
        align-items: flex-end;
    }
    .footer-legal > .copyright {
        grid-row: 1;
        grid-column: 1;
    }
    .footer-legal > .policy {
        grid-row: 1;
        grid-column: 2;
        justify-self: center;
        font-size: var(--font-size-xs);
        justify-content: center;
    }
    .footer-legal > .mark {
        grid-row: 1;
        grid-column: 3;
        justify-self: flex-end;
        justify-content: flex-end;
    }

    /*SECTION*/
    .sc-tiles > .sc-tile {
        width: 50%;
    }
    .sc-tiles > .sc-tile.cover {
        position: -webkit-sticky;
        position: sticky;
        top: var(--sticky-top);
        transition: var(--duration) var(--timing-function);
    }
    /* html.page-scrolling--down .sc-tiles {
        --svh: calc((var(--vh, 1vh) * 100) - var(--header-nav-height));
        --svh-flexible: calc((var(--dvh, 1vh) * 100) - var(--header-nav-height));
        --svh-fallback: calc(100vh - var(--header-nav-height));
    } */

    .sc-columns {
        justify-content: space-between;
    }
    .sc-columns.rtl {
        flex-direction: row-reverse;
    }
    .sc-columns > .sc-column {
        width: calc(50% - var(--spacing-sm) / 2);
    }
    .sc-columns > .sc-column:not(:first-child) {
        margin-top: 0 !important;
    }
    .sc-columns > .sc-column.v-center {
        align-self: center;
    }
    .sc-columns > .sc-column > .w-fix {
        max-width: 440px;
        margin-left: auto;
        margin-right: auto;
    }

    *[data-section-style="headline"] .sc-inner {
        min-height: 355px;
    }
    *[data-section-style="headline"] .sc-headline {
        display: flex;
        grid-gap: var(--spacing-sm);
    }
    *[data-section-style="headline"] .sc-headline > * {
        flex: 1;
    }
    *[data-section-style="headline"] .sc-headline > *:not(:first-child) {
        margin-top: 0;
    }
    *[data-section-style="headline"] .sc-headline > .sc-desc {
        margin-left: auto;
    }

    /*INDEX*/
    *[data-section="highlight"]:before {
        content: "";
        display: block;
        width: calc(var(--spacing-container) * 2);
        height: 100%;
        position: absolute;
        z-index: 3;
        top: 0;
        left: 50%;
        transform: translateX(-50%);
    }
    *[data-section="highlight"] .sc-billboard-container > .sc-billboard {
        --width: 50%;
        width: var(--width);
    }
    *[data-section="highlight"] .sc-billboard-container > .sc-billboard.active {
        --width: 63.4722222222%;
    }
    *[data-section="highlight"]
        .sc-billboard-container
        > .sc-billboard.inactive {
        --width: calc(100% - 63.4722222222%);
    }
    *[data-section="highlight"]
        .sc-billboard-container
        > .sc-billboard:only-child {
        width: 100% !important;
    }

    *[data-section="offer"] .sc-words > .sc-word:nth-child(2) {
        position: absolute;
        bottom: var(--spacing-md);
        right: var(--spacing-container);
        transform: translateY(6%);
    }

    .testimonials {
        min-height: 28.4722222222vw;
    }
    .testimonials .entry-content {
        width: 80%;
    }

    /*PRODUCT*/
    *[data-card="product"] .card .caption {
        position: absolute;
        left: 0;
        bottom: 0;
        width: 100%;
        grid-template-columns: 1fr auto;
        align-items: flex-end;
        grid-gap: 0 var(--spacing-2xs);
        padding: var(--spacing-xs) var(--spacing-sm);
    }
    *[data-card="product"]
        .card
        .caption
        > *:is(.entry-title, .entry-category) {
        grid-column: 1;
        justify-self: flex-start;
        text-align: left;
        margin-right: auto;
    }
    *[data-card="product"] .card .caption > *:is(.entry-price, .entry-tag) {
        grid-column: 2;
        justify-self: flex-end;
        text-align: right;
        margin-left: auto;
    }
    *[data-card="product"] .card .caption .entry-tag .tag {
        background: #fff !important;
        color: #000 !important;
    }
    /* *[data-card="product"] .card:hover .caption {
        color: var(--color-black) !important;
    }
    *[data-card="product"] .card:not(:hover) .caption > *:is(.entry-category, .entry-price),
    *[data-card="product"] .card:hover .caption > *:is(.entry-tag) {
        display: none;
    } */
    *[data-card="product"] .card .caption {
        color: var(--color-black) !important;
    }
    *[data-card="product"] .card .caption:before {
        opacity: 1 !important;
    }

    *[data-layout="product-related"] {
        display: grid;
        grid-template-columns: repeat(
            4,
            calc((100% - var(--spacing-sm) * 3) / 4)
        );
        grid-gap: var(--spacing-sm);
    }
    *[data-layout="product-related"] > .sc-headline {
        grid-column: 1;
        padding-right: calc(var(--spacing-container) - var(--spacing-sm));
    }
    *[data-layout="product-related"] > .sc-content {
        grid-column: 2 / span 3;
    }
    *[data-layout="product-related"]
        > .sc-content
        *[data-card="product"].type-slider {
        width: calc(100% + var(--spacing-container) + var(--spacing-sm));
        margin-right: 0;
        padding-right: var(--spacing-container);
        overflow: hidden;
    }
    *[data-layout="product-related"]
        > .sc-content
        *[data-card="product"].type-slider
        .swiper-slide {
        width: calc(100% / 3) !important;
    }

    .product-main *[data-section="list"] > .sc-inner:first-child {
        padding-top: var(--spacing-sm);
    }
    .product-main *[data-section="list"] *[data-card="product"] {
        width: 100vw;
        max-width: 100vw;
        margin-left: calc(50% - 50vw);
        margin-right: calc(50% - 50vw);
    }

    .product-layout {
        display: flex;
    }
    .product-layout > .product-gallery {
        width: 50%;
        height: -webkit-fit-content;
        height: -moz-fit-content;
        height: fit-content;
        position: -webkit-sticky;
        position: sticky;
        top: var(--sticky-top);
    }
    .product-layout > .product-summary {
        width: 50%;
        padding: var(--spacing-sm);
        padding-right: var(--spacing-container);
    }
    .product-layout > .product-summary .entry-content {
        max-width: 30vw;
    }

    .product-gallery .entry-gallery .object-fit:before {
        padding-bottom: 0%;
        height: calc(100vh - var(--header-height));
    }
    .product-gallery .entry-gallery .object-fit > * {
        object-fit: contain;
    }

    .product-summary .entry-footer > * {
        grid-column: 1;
    }
    .product-summary .entry-footer > .entry-explore {
        /* grid-column: 2; */
    }

    *[data-section="single-product"] + *[data-section="related"] > .sc-inner {
        padding-top: var(--spacing-md);
    }

    /*ABOUT*/
    *[data-section="premium-products"]
        .sc-columns
        .sc-column.detail
        > .sc-inner
        > .sc-container
        > *[data-pos="middle"] {
        padding-bottom: calc(var(--icon-size-lg) + var(--spacing-sm));
    }
    *[data-section="premium-products"] .sc-slider .swiper-buttons {
        width: calc(50% - var(--spacing-sm) / 2);
        margin-left: auto;
        position: absolute;
        right: 0;
        bottom: 0;
    }

    /*BLOG*/
    *[data-card="blog"] .card {
        display: flex;
    }
    *[data-card="blog"] .card > *:not(:first-child),
    *[data-card="blog"] .card .caption > *:not(:first-child) {
        margin-top: 0 !important;
    }
    *[data-card="blog"] .card > .cover {
        width: calc(50% - var(--spacing-sm) / 2);
    }
    *[data-card="blog"] .card > .caption {
        flex: 1;
        display: flex;
        align-items: baseline;
        grid-gap: var(--spacing-2xs) var(--spacing-sm);
        padding: var(--spacing-2xs) var(--spacing-sm);
        margin-left: auto;
        height: -webkit-fit-content;
        height: -moz-fit-content;
        height: fit-content;
        position: -webkit-sticky;
        position: sticky;
        top: var(--sticky-top);
    }
    *[data-card="blog"] .card > .caption > .entry-title {
        margin-left: auto;
    }

    *[data-section="single-blog"]
        *[data-blog="cover"]
        .sc-grid-row
        > .sc-inner
        > .sc-container
        > .sc-group[data-pos="middle"]:not(:only-child) {
        align-self: flex-end;
    }

    *[data-section="single-blog"]
        *[data-blog="detail"]
        .entry-content
        > *:not(:is(.wp-block-gallery, .wp-block-image, .wp-block-video)) {
        width: 100%;
        /* max-width: 672px; */
        max-width: 59.1549295775%;
        margin-left: auto;
        margin-right: auto;
    }

    /*CONTACT*/
    .contact-detail {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        grid-gap: var(--spacing-md) var(--spacing-sm);
    }
    .contact-detail > *:not(:first-child) {
        margin-top: 0 !important;
    }
    .contact-detail > .entry-title {
        grid-row: 1;
        grid-column: 1;
    }
    .contact-detail > .entry-address {
        grid-row: 1;
        grid-column: 2;
    }
    .contact-detail > .entry-contact {
        grid-column: 1;
        align-self: flex-end;
    }

    .sc-layout[data-layout="contact"] {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        grid-auto-flow: dense;
    }
    .sc-layout[data-layout="contact"] > .sc-block {
        display: flex;
        flex-direction: column;
    }
    .sc-layout[data-layout="contact"] > .sc-block[data-block="detail"] {
        grid-column: 1;
    }
    .sc-layout[data-layout="contact"]
        > .sc-block[data-block="detail"]
        > *:first-child {
        flex: 1;
    }
    .sc-layout[data-layout="contact"]
        > .sc-block[data-block="detail"]
        > *:first-child
        *:is(.sc-container, .sc-content, .contact-detail) {
        height: 100%;
    }
    .sc-layout[data-layout="contact"] > .sc-block[data-block="form"] {
        grid-column: 2;
    }
    .sc-layout[data-layout="contact"]
        > .sc-block[data-block="form"]
        .fields-cta {
        margin-top: var(--spacing-lg);
    }
}

@media (min-width: 1280px) {
    .visible-device {
        display: none !important;
    }
    .visible-device:first-child + *:not(:first-child) {
        margin-top: 0 !important;
    }

    /*POST*/
    .entry-content .wp-block-columns.is-layout-flex {
        grid-column-gap: var(--spacing-2xl);
    }

    /*HEADER*/
    .header-nav {
        grid-template-columns: 100%;
    }

    .header-brand {
        position: absolute;
        z-index: 102;
        left: 50%;
        top: 50%;
        transform: translate(-50%, -50%);
    }

    .header-system {
        display: none !important;
    }

    .header-menu {
        grid-row: 1;
        grid-column: 1;
        display: block !important;
        height: auto !important;
        width: 100% !important;
        opacity: 1 !important;
        visibility: visible !important;
    }
    .header-menu .panel,
    .header-menu .panel-wrap,
    .header-menu .panel-scroll,
    .header-menu .panel-inner,
    .header-menu .panel-body,
    .header-menu .menu {
        width: 100%;
        height: 100%;
    }
    .header-menu .menu {
        position: relative;
        display: flex;
        justify-content: center;
        grid-gap: 0;
    }
    .header-menu .menu > li {
        position: static;
        width: auto;
        height: 100%;
        display: flex;
        flex-direction: column;
        justify-content: center;
    }
    .header-menu .menu > li > a:hover {
        color: inherit;
    }
    .header-menu .menu > li.has-dropdown:hover > a {
        opacity: 1 !important;
    }
    .header-menu .menu.link-active > li:not(.space, .system) > a:not(:hover),
    html.no-touchevents.menu-hover .header-menu .menu > li:not(:hover) > a {
        opacity: var(--opacity-light);
    }
    html:not(.menu-hover) .header-menu .menu.link-active > li > a.active {
        opacity: 1;
    }

    .header-menu .menu-dropdown {
        visibility: visible !important;
        height: auto !important;
        width: 100vw !important;
        max-width: 100vw !important;
        margin: 0 calc(50% - 50vw) !important;
        padding: 0 !important;

        --rgb: var(--color-black-rgb);
        --rgb-couple: var(--color-gray-bright-rgb);
        background: rgba(var(--rgb-couple), 1);
        color: rgba(var(--rgb), 1);
        position: absolute;
        z-index: 1;
        top: 100%;
        left: 0;
        right: 0;
        display: none;
    }
    .header-menu .menu-dropdown--wrap {
        position: relative;
        width: 100%;
        overflow: hidden;
    }
    .header-menu .menu-dropdown--scroll {
        --space: var(--header-height);
        max-height: calc(var(--lvh-fallback) - var(--space));
        max-height: calc(var(--lvh-flexible) - var(--space));
        overflow: hidden;
        overflow-y: auto;
    }
    .header-menu .menu-dropdown--inner {
        padding: var(--spacing-container);
    }

    .header-menu .panel-body,
    .header-menu .menu {
        display: flex;
        justify-content: space-between;
        grid-gap: 0 var(--spacing-container);
    }
    .header-menu .menu > .space {
        flex: 0.5;
    }

    .header-menu-ctrl,
    .header-menu .panel-overlay,
    .header-menu .panel-footer,
    .header-menu .menu > li > .next,
    .header-menu .menu-dropdown--ctrl {
        display: none !important;
    }

    html.highlight-enabled:not(.page-scrolling) .header-brand {
        width: 0;
        overflow: hidden;
    }
    html.highlight-enabled:not(.page-scrolling) .header-brand .brand {
        opacity: 0;
    }
    html.highlight-enabled:not(.page-scrolling) .header-menu .menu > .space {
        display: none;
    }
    html.highlight-enabled:not(.page-scrolling, .menu-dropdown-enabled)
        .header-nav {
        background-color: transparent;
    }
    html.highlight-enabled:not(.page-scrolling, .menu-dropdown-enabled)
        #page.header-white
        .header-nav {
        --rgb: var(--color-white-rgb);
        --rgb-couple: var(--color-black-rgb);
        color: var(--color-white);
    }

    /*BLOG*/
    *[data-section="single-blog"]
        *[data-blog="cover"]
        .sc-grid-row
        > .sc-inner
        > .sc-container {
        padding-left: calc(var(--spacing-container) * 2);
        padding-right: calc(var(--spacing-container) * 2);
        grid-gap: var(--sc-spacing-y) 0;
    }
}

/*MEDIA QUERIES:MAX====================*/
@media (max-width: 1279px) {
    :root {
        --font-size-h1: 28px;

        --font-size-body: var(--font-size-sm);
        --font-size-topic: var(--font-size-md);
        --line-height-topic: var(--line-height-body);

        --input-height: 40px;
    }

    .hidden-device {
        display: none !important;
    }
    .hidden-device:first-child + *:not(:first-child) {
        margin-top: 0 !important;
    }

    /*CTAs*/
    .button-line {
        --height: 35px;
    }

    /*HEADER*/
    .header-nav {
        grid-template-columns: 1fr auto 1fr;
        grid-column-gap: var(--spacing-2xs);
        align-items: center;
    }

    .header-brand {
        grid-row: 1;
        grid-column: 2;
        justify-self: center;
    }

    .header-system {
        grid-row: 1;
        grid-column: 3;
        justify-self: flex-end;
    }

    .header-menu-ctrl {
        grid-row: 1;
        grid-column: 1;
        justify-self: flex-start;
    }

    .header-brand,
    .header-menu-ctrl {
        position: relative;
        z-index: 102;
    }

    .header-menu,
    .header-menu .menu-dropdown {
        --rgb: var(--color-black-rgb);
        --rgb-couple: var(--color-gray-bright-rgb);
        margin: 0;
        padding: 0;
        position: fixed;
        z-index: 100;
        top: 0;
        left: 0;
        width: 100vw;
        max-width: 100vw;
        height: var(--lvh-fallback);
        height: var(--lvh-flexible);
        height: 100dvh;
        background-color: rgba(var(--rgb-couple), 1);
        color: rgba(var(--rgb), 1);
        overflow: hidden;
        display: none;
    }
    /* html.page-scrolling--down .header-menu {
        transform: translateY(var(--header-addon-height));
    } */
    html.highlight-enabled:not(.page-scrolling) .header-menu {
        transform: translateY(var(--header-addon-height));
    }
    .header-menu .panel {
        position: relative;
        width: 100%;
        height: 100%;
    }
    .header-menu .panel-wrap {
        padding-top: var(--header-height);
    }
    .header-menu .panel-wrap,
    .header-menu .menu-dropdown--wrap {
        position: relative;
        width: 100%;
        height: 100%;
    }
    .header-menu .panel-scroll,
    .header-menu .menu-dropdown--scroll {
        height: 100%;
        padding: 0 25px 0 0;
        margin-right: -25px;
        overflow: hidden;
        overflow-y: auto;
        -webkit-overflow-scrolling: touch;
        -webkit-backface-visibility: hidden;
        backface-visibility: hidden;
    }
    .header-menu .panel-inner,
    .header-menu .menu-dropdown--inner {
        position: relative;
        width: 100%;
        min-height: 100%;
        display: flex;
        flex-direction: column;
    }
    .header-menu .panel-inner > *,
    .header-menu .menu-dropdown--inner > * {
        width: 100%;
    }
    .header-menu .panel-body,
    .header-menu .panel-footer,
    .header-menu .menu-dropdown--ctrl,
    .header-menu .menu-dropdown--inner {
        padding: var(--spacing-sm) var(--spacing-container);
    }
    .header-menu .panel-body {
        flex: 1;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        text-align: center;
    }
    .header-menu .panel-footer {
        --rgb: var(--color-white-rgb);
        --rgb-couple: var(--color-black-rgb);
        background-color: rgba(var(--rgb-couple), 1);
        color: rgba(var(--rgb), 1);
    }
    .header-menu *:is(.next, .back) {
        display: flex;
        align-items: center;
        grid-gap: 0 calc(var(--spacing-3xs) / 2);
    }
    .header-menu *:is(.next, .back):before {
        font-family: "iconfont";
    }
    .header-menu .next:before {
        content: "\e94c";
        font-size: 71.4285714286%;
        transform: translateX(22%);
    }
    .header-menu .back:before {
        content: "\e94b";
        font-size: 112.5%;
        transform: translateX(-22%);
    }
    .header-menu .menu {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        grid-gap: var(--spacing-md) 0;
        font-size: var(--font-size-h1);
        line-height: var(--line-height-sm);
    }
    .header-menu .menu > li {
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        width: -webkit-fit-content;
        width: -moz-fit-content;
        width: fit-content;
        max-width: 100%;
        margin: 0 auto;
    }
    .header-menu .menu > li:is(.space, .system) {
        display: none;
    }
    .header-menu .menu > li > a:hover {
        color: inherit;
    }
    html.no-touchevents.menu-hover .header-menu .menu > li:not(:hover) > a {
        opacity: var(--opacity-light);
    }
    .header-menu .menu > li > .next {
        padding-left: calc(var(--spacing-3xs) / 2);
        padding-right: var(--spacing-sm);
        margin-right: var(--spacing-sm-minus);
    }
    .header-menu .menu-dropdown {
        padding-top: var(--header-height);
        font-size: var(--font-size-body);
        line-height: var(--line-height-body);
        text-align: left;
    }
    .header-menu .menu-dropdown--wrap {
        display: flex;
        flex-direction: column;
    }
    .header-menu .menu-dropdown--scroll {
        flex: 1;
    }
    .header-menu .contact-container {
        display: flex;
        grid-gap: var(--spacing-sm) var(--spacing-container);
    }
    .header-menu .contact-container > .contact {
        flex: 1;
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        grid-gap: var(--spacing-3xs) 0;
    }
    .header-menu .contact-container > .contact > * .ic {
        font-size: var(--icon-size-lg);
    }
    .header-menu
        .contact-container
        > .contact[data-contact="tel"]
        > *:not(:first-child)
        .ic {
        opacity: 0;
    }
    .header-menu
        *[data-card="product-category"]
        .caption
        .entry-icon
        .object
        > * {
        max-width: 16.4102564103vw;
    }
    .header-menu *[data-card="product-category"].type-grid {
        grid-template-columns: repeat(3, 1fr);
    }
    
    /* Product Categories Grid - Tablet responsive */
    *[data-card="product-category"].type-grid {
        grid-template-columns: repeat(3, 1fr);
        grid-gap: var(--spacing-md);
    }

    html.header-menu-enabled {
        overflow: hidden !important;
    }

    html.highlight-enabled:not(.page-scrolling, .header-menu-enabled)
        .header-brand {
        width: 0;
        overflow: hidden;
    }
    html.highlight-enabled:not(.page-scrolling, .header-menu-enabled)
        .header-brand
        .brand {
        opacity: 0;
    }
    html.highlight-enabled:not(.page-scrolling, .header-menu-enabled)
        .header-nav {
        background-color: transparent;
    }
    html.highlight-enabled:not(.page-scrolling, .header-menu-enabled)
        #page.header-white
        .header-nav {
        --rgb: var(--color-white-rgb);
        --rgb-couple: var(--color-black-rgb);
        color: var(--color-white);
    }

    /*CLEAR*/
    .header-menu .menu a[href="javascript:;"] {
        background-image: unset !important;
        background-size: unset !important;
        background-clip: unset !important;
        -webkit-background-clip: unset !important;
        -webkit-text-fill-color: unset !important;
    }
}

@media (max-width: 991px) {
    :root {
        --color-body-couple: var(--color-gray-bright);
        --color-body-couple-rgb: var(--color-gray-bright-rgb);
    }

    .hidden-device-sm {
        display: none !important;
    }
    .hidden-device-sm:first-child + *:not(:first-child) {
        margin-top: 0 !important;
    }
    .overflow-hidden-device-sm {
        overflow: hidden !important;
    }

    .a-left-device-sm {
        text-align: left !important;
    }
    .a-right-device-sm {
        text-align: right !important;
    }
    .a-center-device-sm {
        text-align: center !important;
    }
    .alignwide-device-sm {
        width: 100% !important;
    }
    .alignfull-device-sm {
        width: 100vw !important;
        max-width: 100vw !important;
        margin-left: calc(50% - 50vw) !important;
        margin-right: calc(50% - 50vw) !important;
    }

    /*POST*/
    .entry-content .wp-block-columns > .wp-block-column {
        flex-basis: 100% !important;
    }

    /*FOOTER*/
    .footer-nav {
        padding-top: var(--spacing-sm);
        padding-bottom: var(--spacing-sm);
    }
    .footer-nav > *:not(:first-child),
    .footer-addon > *:not(:first-child),
    .footer-addon .brand + *:not(:first-child) {
        margin-top: var(--spacing-md);
    }

    .footer-addon .newsletter > *:not(:first-child),
    .footer-contact > *:not(:first-child) {
        margin-top: var(--spacing-xs);
    }
    .footer-addon .newsletter > .entry-form:not(:first-child) {
        margin-top: var(--spacing-2xs);
    }

    .footer-directory,
    .footer-directory .directory,
    .footer-directory .directory > li {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        grid-gap: var(--spacing-2xs);
    }
    .footer-directory .directory,
    .footer-directory .directory > li,
    .footer-directory .directory > li > ul {
        width: 100%;
    }
    .footer-directory .directory > li > ul {
        display: none;
        padding-left: var(--spacing-container);
        margin-bottom: var(--spacing-2xs-minus);
    }
    .footer-directory .directory > li > ul > li {
        margin-bottom: var(--spacing-2xs);
    }
    .footer-directory .directory > li > a[href="javascript:;"] {
        display: flex;
        align-items: center;
        grid-gap: var(--spacing-2xs);
        width: -webkit-fit-content;
        width: -moz-fit-content;
        width: fit-content;
        max-width: 100%;
    }
    .footer-directory .directory > li > a[href="javascript:;"]:after {
        font-family: "iconfont";
        content: "\e90c";
        font-size: 75%;
        display: block;
        transition: var(--duration) var(--timing-function);
    }
    .footer-directory .directory > li > a[href="javascript:;"].active:after {
        transform: rotate(-180deg);
    }

    .footer-legal {
        display: grid;
        grid-template-columns: auto 1fr;
        grid-gap: var(--spacing-2xs) var(--spacing-container);
        grid-auto-flow: dense;
        align-items: flex-end;
        font-size: var(--font-size-body-sub);
    }
    .footer-legal > .copyright {
        grid-column: 1;
    }
    .footer-legal > .policy {
        grid-row: 1;
        grid-column: 1 / span 2;
        grid-gap: var(--spacing-2xs) var(--spacing-sm);
    }
    .footer-legal > .mark {
        grid-column: 2;
        justify-self: flex-end;
        justify-content: flex-end;
        font-size: 20px;
        grid-gap: var(--spacing-2xs);
    }

    /*SECTION*/
    .sc-menu .swiper-slide:not(:last-child) {
        padding-right: var(--spacing-md);
    }

    .sc-billboard {
        --h-md: 135.8974358974vw;
        --h-sm: 84.6153846154vw;
    }

    *[data-section-style="headline"] .sc-inner {
        min-height: 324px;
    }

    /*INDEX*/
    *[data-section="highlight"] .sc-billboard-container {
        flex-direction: column;
    }
    *[data-section="highlight"]
        .sc-billboard-container
        > .sc-billboard:not(:only-child) {
        --lvh: calc((var(--vh, 1vh) * 100) / 2);
        --lvh-flexible: calc((var(--dvh, 1vh) * 100) / 2);
        --lvh-fallback: calc(100vh / 2);
    }
    *[data-section="highlight"]
        .sc-billboard-container
        > .sc-billboard:first-child
        > .sc-inner {
        padding-top: calc(
            var(--header-nav-height) + var(--spacing-container)
        ) !important;
    }
    *[data-section="highlight"]
        .sc-billboard-container
        > .sc-billboard:first-child
        > .sc-inner
        > .sc-container
        > .sc-group:first-child {
        align-self: flex-start;
    }

    *[data-section="howtoorder"] > .sc-inner {
        background-size: 100% auto;
    }

    /*PRODUCT*/
    *[data-card="product"] .card {
        display: flex;
        flex-direction: column;
    }
    *[data-card="product"] .card > * {
        width: 100%;
    }
    *[data-card="product"] .card .caption {
        flex: 1;
        --rgb: var(--color-black-rgb);
        --rgb-couple: var(--color-white-rgb);
        padding: var(--spacing-2xs);
        background-color: rgba(var(--rgb-couple), 1);
        color: rgba(var(--rgb), 1) !important;
        transition: var(--duration) var(--timing-function);
        display: grid;
        grid-template-columns: 1fr auto;
        align-self: flex-end;
        grid-gap: var(--spacing-3xs) var(--spacing-2xs);
    }
    *[data-card="product"] .card:hover .caption {
        background-color: rgba(var(--rgb), 1);
    }
    *[data-card="product"] .card .caption:before {
        z-index: 0;
    }
    *[data-card="product"] .card .caption > * {
        position: relative;
        z-index: 1;
    }
    *[data-card="product"] .card .caption > .entry-title {
        grid-row: 1;
        grid-column: 1 / span 2;
    }
    *[data-card="product"] .card .caption .entry-tag .tag {
        background: #d9d9d9 !important;
        color: #000 !important;
    }
    *[data-card="product"]
        .card
        .caption
        > *:is(.entry-category, .entry-price) {
        min-height: 24px;
        display: flex;
        flex-wrap: wrap;
        align-items: flex-end;
        grid-gap: var(--spacing-3xs) var(--spacing-2xs);
    }
    /* *[data-card="product"] .card:not(:hover) .caption > *:is(.entry-category, .entry-price),
    *[data-card="product"] .card:hover .caption > *:is(.entry-tag) {
        display: none;
    } */
    *[data-card="product"].type-grid {
        grid-template-columns: repeat(2, 1fr);
    }
    *[data-card="product"].type-slider .swiper-slide {
        width: calc(100% / 2) !important;
    }

    .product-main *[data-section="list"] > .sc-inner:first-child {
        padding-top: var(--spacing-container);
    }

    /* .product-summary {
        grid-gap: var(--sc-spacing-y);
    } */
    .product-summary .entry-content {
        grid-column: 1 / span 2;
    }
    .product-summary .entry-footer {
        grid-template-columns: 100%;
        grid-gap: var(--spacing-sm) 0;
    }

    *[data-section="single-product"] + *[data-section="related"] > .sc-inner {
        padding-top: 0;
    }

    *[data-layout="product-related"] > *:not(:first-child) {
        margin-top: var(--spacing-md);
    }

    /*ABOUT*/
    *[data-card="about"].type-grid {
        grid-template-columns: repeat(2, 1fr);
    }

    *[data-section="premium-products"]
        .sc-columns
        .sc-column.detail
        > .sc-inner
        > .sc-container {
        grid-template-rows: unset;
        grid-auto-rows: -webkit-max-content;
        grid-auto-rows: max-content;
    }
    *[data-section="premium-products"] .sc-slider .swiper-buttons {
        margin-top: var(--spacing-md);
    }

    /*BLOG*/
    *[data-card="blog"] .card .caption {
        padding: var(--spacing-2xs) var(--spacing-container) 0;
    }

    *[data-section="single-blog"]
        *[data-blog="cover"].sc-tiles
        > .sc-tile.detail:not(:last-child)
        > .sc-inner {
        padding-bottom: var(--spacing-md);
    }

    *[data-section="single-blog"]
        *[data-blog="detail"]
        .entry-content
        > *:is(.wp-block-gallery, .wp-block-image, .wp-block-video) {
        width: 100vw;
        max-width: 100vw;
        margin-left: calc(50% - 50vw);
        margin-right: calc(50% - 50vw);
    }

    /*CONTACT*/
    .contact-map .map-container:before {
        padding-bottom: 77.9487179487%;
    }
}

@media (max-width: 767px) {
    :root {
        --spacing-container: var(--spacing-sm);
        --spacing-container-minus: var(--spacing-sm-minus);

        --logo-height: 20px;
        --header-addon-height: 42px;
        --header-addon-height-minus: -42px;
        --header-nav-height: 52px;
        --header-nav-height-minus: -52px;

        --input-spacing-x: var(--spacing-2xs);
    }

    .hidden-mobile {
        display: none !important;
    }
    .hidden-mobile:first-child + *:not(:first-child) {
        margin-top: 0 !important;
    }

    .a-left-mobile {
        text-align: left !important;
    }
    .a-right-mobile {
        text-align: right !important;
    }
    .a-center-mobile {
        text-align: center !important;
    }
    .alignwide-mobile {
        width: 100% !important;
    }
    .alignfull-mobile {
        width: 100vw !important;
        max-width: 100vw !important;
        margin-left: calc(50% - 50vw) !important;
        margin-right: calc(50% - 50vw) !important;
    }

    /*GENERAL*/
    .entry-tag .tag {
        height: 24px;
    }

    /*HEADER*/
    .header-brand .brand .logo {
        max-width: 37.6923076923vw;
    }
    .header-addon
        .contact-container
        > .contact[data-contact="tel"]
        > *:not(:first-child),
    .header-addon
        .contact-container
        > .contact[data-contact="tel"]
        > *
        .ic-name {
        display: none !important;
    }

    .header-menu *[data-card="product-category"].type-grid {
        grid-template-columns: repeat(2, 1fr);
        grid-gap: var(--spacing-container);
    }
    
    /* Product Categories Grid - Mobile responsive */
    *[data-card="product-category"].type-grid {
        grid-template-columns: repeat(2, 1fr);
        grid-gap: var(--spacing-container);
    }
}

@media (max-width: 575px) {
    .hidden-mobile-sm {
        display: none !important;
    }
    .hidden-mobile-sm:first-child + *:not(:first-child) {
        margin-top: 0 !important;
    }

    /*PRODUCT*/
    *[data-card="product"].type-grid {
        grid-column-gap: var(--spacing-2xs);
    }
    *[data-card="product"].type-slider {
        margin-left: calc(var(--spacing-2xs-minus) / 2);
        margin-right: calc(var(--spacing-2xs-minus) / 2);
    }
    *[data-card="product"].type-slider .swiper-slide {
        padding: 0 calc(var(--spacing-2xs) / 2);
    }

    /*BLOG*/
    *[data-section="single-blog"]
        *[data-blog="detail"]
        .entry-content
        > *:is(.wp-block-gallery) {
        gap: 0;
    }
    *[data-section="single-blog"]
        *[data-blog="detail"]
        .entry-content
        > *:is(.wp-block-gallery)
        > * {
        width: 100% !important;
    }
}

@media (max-width: 414px) {
    :root {
        --font-size-3xs: 1.9323671498vw;
        --font-size-2xs: 2.4154589372vw;
        --font-size-xs: 2.8985507246vw;
        --font-size-sm: 3.3816425121vw;
        --font-size-md: 3.8647342995vw;
        --font-size-lg: 4.347826087vw;
        --font-size-xl: 4.8309178744vw;
        --font-size-h2: var(--font-size-xl);
        --font-size-h1: 6.7632850242vw;
    }
}

/*MEDIA QUERIES:MIN AND MAX====================*/
@media (min-width: 992px) and (max-width: 1279px) {
    /*INDEX*/
    *[data-section="offer"] .sc-words,
    *[data-section="offer"] .sc-words .word {
        grid-column-gap: 0.75em;
    }

    /*PRODUCT*/
    *[data-card="product"] .card .caption {
        padding: var(--spacing-2xs);
    }
}

/*MEDIA QUERIES:ORIENTATION====================*/
@media (orientation: landscape) {
}

@media (orientation: portrait) {
}
